## linkchecker-1.6.4.tar.gz

=== Makefile ===
# This Makefile is only used by developers.
PYTHON=python2.2
VERSION=$(shell $(PYTHON) setup.py --version)
PACKAGE=linkchecker
NAME=$(shell $(PYTHON) setup.py --name)
PACKAGEDIR=/home/groups/l/li/$(PACKAGE)
HTMLDIR=shell1.sourceforge.net:$(PACKAGEDIR)/htdocs
#HOST=treasure.calvinsplayground.de
HOST=www.debianplanet.org
#LCOPTS=-ocolored -Ftext -Fhtml -Fgml -Fsql -Fcsv -Fxml -R -t0 -v -s
LCOPTS=-ocolored -Ftext -Fhtml -Fgml -Fsql -Fcsv -Fxml -R -t0 -v -s -r1
TEST=env LANG=C ftp_proxy="" http_proxy="" $(PYTHON) test/regrtest.py
OFFLINETESTS = test_base test_misc test_file test_frames
ONLINETESTS = test_mail test_http test_https test_news test_ftp
DESTDIR=/.
MD5SUMS=linkchecker-md5sums.txt

all:
	@echo "Read the file INSTALL to see how to build and install"

clean:
	-$(PYTHON) setup.py clean --all # ignore errors of this command
	$(MAKE) -C po clean
	find . -name '*.py[co]' | xargs rm -f

distclean: clean cleandeb
	rm -rf dist build # just to be sure clean also the build dir
	rm -f VERSION VERSION-DEVEL _$(PACKAGE)_configdata.py MANIFEST Packages.gz
	# clean aborted dist builds and -out files
	rm -f $(PACKAGE)-*

cleandeb:
	rm -rf debian/$(PACKAGE) debian/tmp
	rm -f debian/*.debhelper debian/{files,substvars}
	rm -f configure-stamp build-stamp

config:
	$(PYTHON) setup.py config -lcrypto

# no rpm package; too much trouble, cannot test
dist:	locale config
	$(PYTHON) setup.py sdist --formats=gztar,zip bdist_wininst
	rm -f $(MD5SUMS)
	md5sum dist/* > $(MD5SUMS)

# produce the .deb Debian package
deb_local: cleandeb
	# standard for local use
	fakeroot debian/rules binary

deb_localsigned:
	debuild -sgpg -pgpg -k32EC6F3E -rfakeroot

deb_signed: cleandeb
	# ready for upload, signed with my GPG key
	env CVSROOT=:pserver:anonymous@cvs.linkchecker.sourceforge.net:/cvsroot/linkchecker cvs-buildpackage -Mlinkchecker -W/home/calvin/projects/cvs-build -sgpg -pgpg -k32EC6F3E -rfakeroot 

deb_unsigned: cleandeb
	# same thing, but unsigned (for local archives)
	env CVSROOT=:pserver:anonymous@cvs.linkchecker.sourceforge.net:/cvsroot/linkchecker cvs-buildpackage -Mlinkchecker -W/home/calvin/projects/cvs-build -us -uc -rfakeroot 

files:	locale
	env http_proxy="" LANG=C $(PYTHON) $(PACKAGE) $(LCOPTS) -i$(HOST) http://$(HOST)/
	for f in linkchecker-out.*; do gzip --best $$f; done

VERSION:
	echo $(VERSION) > VERSION

VERSION-DEVEL:
	echo $(VERSION) > VERSION-DEVEL

upload: distclean dist files VERSION
	scp ChangeLog $(HTMLDIR)/changes.txt
	scp README $(HTMLDIR)/readme.txt
	scp linkchecker-out.*.gz $(HTMLDIR)
	scp VERSION $(HTMLDIR)/raw/
	scp $(MD5SUMS) $(HTMLDIR)/
	#scp dist/* $(HTMLDIR)/
	ncftpput upload.sourceforge.net /incoming dist/* && read -p "Make new SF file releases and then press Enter:"
	ssh -C -t shell1.sourceforge.net "cd $(PACKAGEDIR) && make"

upload-devel: distclean dist VERSION-DEVEL
	scp ChangeLog $(HTMLDIR)/changes-devel.txt
	scp VERSION-DEVEL $(HTMLDIR)/raw/
	#scp dist/* $(HTMLDIR)/
	ncftpput upload.sourceforge.net /incoming dist/* && read -p "Make new SF file releases and then press Enter:"
	ssh -C -t shell1.sourceforge.net "cd $(PACKAGEDIR) && make"

test:
	$(TEST) $(OFFLINETESTS)

onlinetest:
	$(TEST) $(ONLINETESTS)

locale:
	$(MAKE) -C po

timeouttest:
	$(PYTHON) $(PACKAGE) -v --timeout=0 mailto:root@aol.com

tar:	distclean
	cd .. && tar cjvf linkchecker.tar.bz2 linkchecker

.PHONY: all clean cleandeb distclean files upload test timeouttest locale
.PHONY: onlinetest config dist deb_local deb_signed deb_unsigned tar
.PHONY: upload-devel

=== po/Makefile ===
# I copied the scripts in Tools/i18n of the Python 2.0 distribution
I18NTOOLS=.
PYTHON=python2.2
GETTEXT=$(PYTHON) $(I18NTOOLS)/pygettext.py -k linkcheck._
MSGFMT=$(PYTHON) $(I18NTOOLS)/msgfmt.py
#MSGFMT=msgfmt
MSGMERGE=msgmerge
SOURCES=\
../linkcheck/Config.py \
../linkcheck/FileUrlData.py \
../linkcheck/IgnoredUrlData.py \
../linkcheck/FtpUrlData.py \
../linkcheck/GopherUrlData.py \
../linkcheck/HostCheckingUrlData.py \
../linkcheck/HttpUrlData.py \
../linkcheck/HttpsUrlData.py \
../linkcheck/log/__init__.py \
../linkcheck/log/Logger.py \
../linkcheck/log/BlacklistLogger.py \
../linkcheck/log/CSVLogger.py \
../linkcheck/log/ColoredLogger.py \
../linkcheck/log/GMLLogger.py \
../linkcheck/log/HtmlLogger.py \
../linkcheck/log/SQLLogger.py \
../linkcheck/log/StandardLogger.py \
../linkcheck/log/XMLLogger.py \
../linkcheck/MailtoUrlData.py \
../linkcheck/NntpUrlData.py \
../linkcheck/ProxyUrlData.py \
../linkcheck/TelnetUrlData.py \
../linkcheck/Threader.py \
../linkcheck/UrlData.py \
../linkcheck/__init__.py \
../linkcheck/lc_cgi.py \
../linkchecker
LDIR=../share/locale
LFILE=LC_MESSAGES/$(PACKAGE).mo
PACKAGE=linkcheck
# defined language (add new languages here)
LANGUAGES=de fr nl
MOS=$(patsubst %, %.mo, $(LANGUAGES) )

.PHONY: all
all:	$(MOS)

%.po:	pot-stamp
	$(MSGMERGE) $@ $(PACKAGE).pot -o $@

pot-stamp: $(SOURCES)
	rm -f $(PACKAGE).pot
	$(GETTEXT) --default-domain=$(PACKAGE) --no-location $(SOURCES)
	touch pot-stamp

%.mo:	%.po
	if [ ! -d $(LDIR)/$*/LC_MESSAGES ]; then \
	  mkdir -p $(LDIR)/$*/LC_MESSAGES; \
	fi
	$(MSGFMT) -o$(LDIR)/$*/$(LFILE) $<

clean:
	for f in $(LANGUAGES); do rm -f $(LDIR)/$$f/$(LFILE); done

distclean:	clean
	rm -f pot-stamp

.PHONY: all clean distclean

=== debian/changelog ===
linkchecker (1.6.4-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 15 Oct 2002 03:08:00 +0200

linkchecker (1.6.3-1) unstable; urgency=low

  * New upstream relese.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 23 Sep 2002 16:48:24 +0200

linkchecker (1.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 11 Sep 2002 20:25:34 +0200

linkchecker (1.6.1-1) unstable; urgency=low

  * New upstream release, and made this a non-native debian package.
  * Standards version 3.5.7.0, no changes
  * Depend on Python version 2.1 (Closes: #159069)

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 27 Aug 2002 00:10:20 +0200

linkchecker (1.6.0) unstable; urgency=low

  * linkchecker.1: updated manpage
  * linkcheck/UrlData.py: enable parsing of <meta http-equiv=refresh>
    links again

 -- Bastian Kleineidam <calvin@debian.org>  Fri,  2 Aug 2002 10:57:54 +0200

linkchecker (1.5.7) unstable; urgency=low

  * linkcheck/log/: add forgotten linkcheck. to StringUtil calls

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 25 Jun 2002 17:29:19 +0200

linkchecker (1.5.6) unstable; urgency=low

  * linkcheck/HttpUrlData.py: support for Content-Encoding: gzip
  * linkcheck/DNS: remove included files, depend on external PyDNS
    library

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 24 Jun 2002 14:39:56 +0200

linkchecker (1.5.5) unstable; urgency=low

  * linkcheck/linkname.py: fix linkname regular expressions (from 1.4.9)
  * linkcheck/UrlData.py: (from 1.4.9)
    - do not allow linebreaks in quoted link attributes
    - fix name matching (reported by Jerry Nieuviarts <jerry@clubic.com>)
    - dont use re.DOTALL, the new linkmatcher does not need it
  * linkchecker: documentation typos
  * linkcheck/__init__.py: use getLinkPat function for all config
    entries, not just commandline

 -- Bastian Kleineidam <calvin@debian.org>  Fri,  7 Jun 2002 22:40:10 +0200

linkchecker (1.5.4) unstable; urgency=low

  * linkcheck/log/__init__.py: use ISO 8601 conform timestamps
  * linkcheck/lc_cgi.py: added Nederlands (dutch) to supported languages

 -- Bastian Kleineidam <calvin@debian.org>  Sat,  1 Jun 2002 11:11:58 +0200

linkchecker (1.5.3) unstable; urgency=low

  * linkcheck/DNS/Base.py: import Error exception (from 1.4.7)

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 24 May 2002 19:02:48 +0200

linkchecker (1.5.2) unstable; urgency=low

  * add missing import for the log package

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 15 May 2002 19:13:36 +0200

linkchecker (1.5.1) unstable; urgency=low

  * debian/control: remove python-ssl from suggests
  * linkcheck/UrlData.py: remove non-greedy *? from linkmatcher to avoid
    the maximum recursion limit error (from 1.4.6)
  * linkcheck/HttpUrlData.py: replace empty paths with a slash; adjust
    warning message (from 1.4.6)
  * updated translations
  * new package linkcheck.log to facilitate generation of new loggers

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 15 May 2002 01:18:15 +0200

linkchecker (1.5.0) unstable; urgency=low

  * More syntax checking for host:port network locations (from 1.4.4)
  * NntpUrlData.py: prevent endless loops with busy NNTP servers sending
    504 or 505 error status. (from 1.4.5)
  * Cookie support
  * Python API for custom loggers
  * Move TestLogger into test_support
  * negation for extern/intern regular expressions

 -- Bastian Kleineidam <calvin@debian.org>  Sun,  5 May 2002 23:08:37 +0200

linkchecker (1.4.3) unstable; urgency=low

  * UrlData.py: also catch Timeout and other exception on retrieving
    recursive content

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 29 Apr 2002 20:22:04 +0200

linkchecker (1.4.2) unstable; urgency=low

  * move DNS package into linkchecker to prevent clash with the original
    Python DNS module (Closes: #143737).
  * Updated german translation.
  * Adjust the internal error message slightly to ask for commandline
    parameters.
  * linkcheck/UrlData.py: modify the linkmatcher pattern to prevent a
    RuntimeError: maximum recursion limit exceeded.
  * Updated the test suite.

 -- Bastian Kleineidam <calvin@debian.org>  Sat, 27 Apr 2002 14:58:29 +0200

linkchecker (1.4.1) unstable; urgency=low

  * Catch socket.sslerror for HTTPS connections.
  * Pregenerate directory structure for .mo files, make dist will fail
    if they are not there.
  * Fix DNS configuration in some Windows platforms (untested, no
    platform available for me).

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 20 Mar 2002 23:59:30 +0100

linkchecker (1.4.0) unstable; urgency=low

  * linkcheck/linkname.py: workaround for a bug regex matching with
    re.DOTALL. This could lead to missing linknames, but we can parse
    big files (>200 links) again.
  * linkcheck/linkname.py: immediately return on <img> tags inside <a>.
  * linkchecker: interpolate %s in help text with -o output list
  * MANIFEST.in: include .mo files in the release
  * linkcheck/FileUrlData.py: support for URLs included in text files
  * Added Dutch translation from Hans Brausewein
    <hans.bausewein@comerwell.xs4all.nl>.
  * added ipv6 DNS patch from
    http://sourceforge.net/tracker/index.php?func=detail&aid=512054&grou
    p_id=31674&atid=403047

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 15 Mar 2002 01:39:22 +0100

linkchecker (1.3.22) unstable; urgency=low

  * last release before 1.4.0
  * CGI scripts don't raise Exception when called with missing form
    parameters.
  * The CGI form checking function checks also the language parameter.
  * Updated documentation.
  * Don't bail out if /etc/resolv.conf could not be found on DNS init.
  * corrected installation of locale files
  * install linkchecker.1 in share/man/man1, not man/man1
  * Add support for multiple init_gettext calls, this is needed by CGI
    scripts

 -- Bastian Kleineidam <calvin@debian.org>  Sat, 23 Feb 2002 21:35:52 +0100



=== debian/control ===
Source: linkchecker
Section: web
Priority: optional
Maintainer: Bastian Kleineidam <calvin@debian.org>
Build-Depends-Indep: python2.2-dev, debhelper (>= 3.0.0), gettext
Standards-Version: 3.5.7.0

Package: linkchecker
Architecture: all
Depends: python2.2, python-dns
Conflicts: linkchecker-ssl
Description: check HTML documents for broken links
 Features:
  o recursive checking
  o multithreaded
  o output can be colored or normal text, HTML, SQL, CSV or a sitemap
    graph in GML or XML
  o HTTP/1.1, FTP, mailto:, nntp:, news:, Gopher, Telnet and local 
    file links are supported
  o restrict link checking with regular expression filters for URLs
  o proxy support
  o give username/password for HTTP and FTP authorization
  o robots.txt exclusion protocol support 
  o i18n support
  o Cookie support
  o command line interface
  o (Fast)CGI web interface (requires HTTP server)
 .
 You have to install python-ssl for HTTPS support.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
PACKAGE=linkchecker
ROOT=$(CURDIR)/debian/$(PACKAGE)
DOCDIR = $(ROOT)/usr/share/doc/$(PACKAGE)
PYTHON=python2.2

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

# This has to be exported to make some magic below work.
export DH_OPTIONS

configure: configure-stamp
configure-stamp:
	dh_testdir
	$(PYTHON) setup.py config
	touch configure-stamp


build: configure-stamp build-stamp
build-stamp:
	dh_testdir
	$(PYTHON) setup.py build
	touch build-stamp

clean:
	dh_testdir
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_clean -k
	dh_installdirs
	$(MAKE) locale
	$(PYTHON) setup.py install --root=$(ROOT) --no-compile
	# remove example files, we install them below
	rm -r $(ROOT)/usr/share/linkchecker/examples
	# install additional doc files
	install -c -m 644 test/*.py $(DOCDIR)/test
	install -c -m 644 test/html/*.html $(DOCDIR)/test/html
	install -c -m 644 test/output/test_* $(DOCDIR)/test/output
	# install CGI files
	install -c -m 644 lconline/*.html $(DOCDIR)/lconline
	cat lc.cgi | sed 's#/usr/bin/python#/usr/bin/$(PYTHON)#' > $(ROOT)/usr/lib/cgi-bin/lconline/lc.cgi
	# install system wide configuration file in etc
	mv $(ROOT)/usr/share/linkchecker/linkcheckerrc $(ROOT)/etc


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	#dh_installman linkchecker.1
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
